/*****************************************************************************
 *
 * Copyright (C) 2021 Bjarne von Horn (vh at igh dot de)
 *
 * This file is part of the PdCom library.
 *
 * The PdCom library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or (at your
 * option) any later version.
 *
 * The PdCom library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
 * License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with the PdCom library. If not, see <http://www.gnu.org/licenses/>.
 *
 *****************************************************************************/

#ifndef PDCOM5_VISIBILITY_H
#define PDCOM5_VISIBILITY_H

#if defined _WIN32 || defined __CYGWIN__
#ifdef pdcom5_EXPORTS
#define PDCOM5_PUBLIC __declspec(dllexport)
#else
#define PDCOM5_PUBLIC __declspec(dllimport)
#endif
#define PDCOM5_LOCAL
#else
#define PDCOM5_LOCAL __attribute__((visibility("hidden")))
#define PDCOM5_PUBLIC __attribute__((visibility("default")))
#endif

#endif  // PDCOM5_VISIBILITY_H
